' *
' * The project site is at: http://sourceforge.jp/projects/fishbornas/
' *
' * First author tiritomato 2012.
' *
' * Distributed under the FishbornArchiveShelf License (See
' *  file "Licenses/License.txt" contained in a project, or the following link.
' *  http://sourceforge.jp/projects/fishbornas/scm/svn/blobs/head/trunk/Licenses/License.txt)
' *
' * 2012.06.07 Initial Revision (tiritomato)
' *

Partial Public Class AppBase

    Public Class ArchiveItemRemovedArgs
        Public Path As String
        Public Class Echoes
            Inherits Logic.Echoes(Of ArchiveItemRemovedArgs)
            Public Shadows Sub Echo(ByVal Path As String)
                Dim e As New ArchiveItemRemovedArgs
                e.Path = Path
                MyBase.Echo(e)
            End Sub
        End Class
    End Class

End Class